# KDChartThreeDLineAttributes.h File Reference

`#include <QMetaType>`
`#include "KDChartAbstractThreeDAttributes.h"`
`#include "KDChartGlobal.h"`

Include dependency graph for KDChartThreeDLineAttributes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Functions

KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::ThreeDLineAttributes &)
| Q_DECLARE_TYPEINFO (KDChart::ThreeDLineAttributes, Q_MOVABLE_TYPE)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::ThreeDLineAttributes & |
| ) |

Definition at line 106 of file KDChartThreeDLineAttributes.cpp.

References KDChart::ThreeDLineAttributes::lineXRotation(), and KDChart::ThreeDLineAttributes::lineYRotation().

    00107 {
    00108     dbg << "KDChart::ThreeDLineAttributes(";
    00109     dbg = operator <<( dbg, static_cast<const AbstractThreeDAttributes&>(a) );
    00110     dbg << " lineXRotation="<< a.lineXRotation()
    00111         << " lineYRotation="<< a.lineYRotation()
    00112         << ")";
    00113     return dbg;
    00114 }

Q_DECLARE_TYPEINFO | ( | KDChart::ThreeDLineAttributes | ,
|  | Q_MOVABLE_TYPE |
| ) |